cl.cromer.estructuras

## Class Colores

- java.lang.Object
- - cl.cromer.estructuras.Colores

    public class Colores
    extends java.lang.Object

Rotación y generación de colores.

Author:
  Chris Cromer

### Field Summary

Fields
`private javafx.scene.paint.Color` `border` El color de border actual.
`private int` `color` El color actual en forma numerica.
`private javafx.scene.paint.Color` `fondo` El color de fondo actual.
`static int` `MAX_COLORS` Cuantos colores estan definidos en esta clase.
`private javafx.scene.paint.Color` `texto` El color de texto actual.

### Constructor Summary

Constructors
Constructor and Description
`Colores()` Inicializar el primer color.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `colorAleatorio()` Cambiar el color al siguinte.
`javafx.scene.paint.Color` `getBorder()` Devolver el color del border actual.
`javafx.scene.paint.Color` `getFondo()` Devolver el color del fondo actual.
`javafx.scene.paint.Color` `getTexto()` Devolver el color del texto actual.
`void` `randomColorGenrator()` Generar colores al azar.
`void` `siguinteColor()` Cambiar el color al siguinte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_COLORS

    public static final int MAX_COLORS

Cuantos colores estan definidos en esta clase.

See Also:
  Constant Field Values

#### color

    private int color

El color actual en forma numerica.

#### texto

    private javafx.scene.paint.Color texto

El color de texto actual.

#### fondo

    private javafx.scene.paint.Color fondo

El color de fondo actual.

#### border

    private javafx.scene.paint.Color border

El color de border actual.

### Constructor Detail

#### Colores

    public Colores()

Inicializar el primer color.

### Method Detail

#### siguinteColor

    public void siguinteColor()

Cambiar el color al siguinte. Si no hay, voler al primer.

#### colorAleatorio

    public void colorAleatorio()

Cambiar el color al siguinte. Si no hay, voler al primer.

#### randomColorGenrator

    public void randomColorGenrator()

Generar colores al azar.

#### getTexto

    public javafx.scene.paint.Color getTexto()

Devolver el color del texto actual.

Returns:
  Color: Color del texto.

#### getFondo

    public javafx.scene.paint.Color getFondo()

Devolver el color del fondo actual.

Returns:
  Color: Color del fondo.

#### getBorder

    public javafx.scene.paint.Color getBorder()

Devolver el color del border actual.

Returns:
  Color: Color del border.